{% set CTSOLICITUDIMPRESA = constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_SOLICITUD_IMPRESA') %}
{% set CTSOLICITUDREIMPRESA = constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_SOLICITUD_REIMPRESA') %}

/**
 * Recarga el datatable de la Solicitud de Historia Clínica
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function reload(e, dt, node, config)
{
    dt.ajax.reload();
}

/**
 * Imprime el formulario de la atencion
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function printAction(elem,config,row,dt){
    $.include_once('modalForm', function () {
        var divForm = $('<div>');
        var mForm = $(divForm).modalForm({
            url: '{{path('core_gui_objectview_viewer')}}/hcue_paciente_atencion_imprimir/'+config.parameters.id+','+config.parameters.atencionmedica_id+','+parseInt('{{CTSOLICITUDIMPRESA}}'),
            title: 'Visualizar Atención Médica',
            grid: dt,
            width: '90%',
            autoOpen: true,
            buttons: false,
            onClose:function(){
                dt.ajax.reload();
            }
        });
    });
}


/**
 * Muestra la vista del registro de reimpresión de la historia clínica
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function reimprimirAction( e, dt, node, config ) {
    $.include_once('modalForm', function () {
        var divForm = $('<div>');
        var mForm = $(divForm).modalForm({
            url: '{{ path('hcue_paciente_atencion_reimprimir_add') }}/'+node.atencionmedica_id+'/'+node.id,
            title: 'Generar Reimpresión de Historia Clínica',
            urlSubmit: '{{ path('hcue_paciente_atencion_reimprimir_save') }}',
            grid: dt,
            height: '50%',
            width: '50%',
            autoOpen: true,
            onBeforeSend:function() {
                var opcion = false;
                if (node.id) {
                    if($('#impresreporthistclinica_motivoreimpresion').val()) {
                        opcion = confirm("Está seguro que desea Reimprimir el documento ?");
                    }
                }

                return opcion;
            },
            onSuccess:function() {
                $.include_once('modalForm', function () {
                    var divForm = $('<div>');
                    var mForm = $(divForm).modalForm({
                        url: '{{path('core_gui_objectview_viewer')}}/hcue_paciente_atencion_imprimir/'+node.id+','+node.atencionmedica_id+','+parseInt('{{CTSOLICITUDREIMPRESA}}'),
                        title: 'Visualizar Atención Médica',
                        grid: dt,
                        width: '90%',
                        autoOpen: true,
                        buttons: false,
                        onClose:function(){
                            refresDatatable();
                        }
                    });
                });
            }
        });
    });
}

function refresDatatable() {
    var table = $('#historial_atencion_datatable').DataTable();
    table.ajax.reload();
}